package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;
import java.util.List;

public class PopularizeBean extends BaseBean {

    private boolean rel;
    private PopularizeList data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public PopularizeList getData() {
        return data;
    }

    public void setData(PopularizeList data) {
        this.data = data;
    }

    public class PopularizeList {
        private BigDecimal totalIncome;
        private int pageNum ;
        private int pageSize ;
        private int totalPage ;

        private List<PopularizeItem> userTeamMemberBos ;

        public BigDecimal getTotalIncome() {
            return totalIncome;
        }

        public void setTotalIncome(BigDecimal totalIncome) {
            this.totalIncome = totalIncome;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public List<PopularizeItem> getUserTeamMemberBos() {
            return userTeamMemberBos;
        }

        public void setUserTeamMemberBos(List<PopularizeItem> userTeamMemberBos) {
            this.userTeamMemberBos = userTeamMemberBos;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }
    }

    public static class PopularizeItem {
        private BigDecimal income;

        private String nickName;
        private String headUrl;
        private String userName;
        private String realName ;
        private long userId;

        public BigDecimal getIncome() {
            return income;
        }

        public void setIncome(BigDecimal income) {
            this.income = income;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public String getHeadUrl() {
            return headUrl;
        }

        public void setHeadUrl(String headUrl) {
            this.headUrl = headUrl;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public String getRealName() {
            return realName;
        }

        public void setRealName(String realName) {
            this.realName = realName;
        }
    }
}
